/*
 * IBM Confidential
 * OCO Source Materials
 * 5725-B69 5655-Y31 5655-Y17
 * Copyright IBM Corp. 1987, 2014
 * The source code for this program is not published or otherwise
 * divested of its trade secrets, irrespective of what has
 * been deposited with the U.S. Copyright Office.
 */
var txt="<a name=\"about\"><h1>About custom BOM values</h1>";

txt+="Custom BOM value types are value types that you define to create a specific kind of value. ";
txt+="<p>You manage your custom value types using:";
txt+="<ul>";
txt+="  <li>A ";
txt+="    <A HREF=\"../descriptor/package-summary.html#overview\">value descriptor</a> - to ";
txt+="    so all values of this type are displayed and edited in the same way.</li>";
txt+="  <li><a HREF=\"../info/IlrValueInfo.html\">IlrValueInfo</a> - to describe how a value behaves ";
txt+="    when it is used in a phrase.";
txt+="</ul>";
txt+="If you declare a value descriptor or a value info, you can then define:";
txt+="<ul>";
txt+=" <li>A <A HREF=\"../editor/package-summary.html#overview\">value editor</a> - to ";
txt+="   provide a graphical editor for the value.</li>";
txt+=" <li>A ";
txt+="   <A HREF=\"../../translation/codegen/IlrValueTranslator.html\">value translator</a> - to ";
txt+="   translate the value into IRL</li> ";
txt+="</ul>";
txt+="If you declare an <code>IlrValueInfo</code>, you can also define:";
txt+="<ul>";
txt+="  <li>An <a HREF=\"../info/IlrValueProvider.html\">IlrValueProvider</a> - to provide a list of ";
txt+="  values in the rule editor for users to select from</li>";
txt+="  <li>An <a HREF=\"../info/IlrValueChecker.html\">IlrValueChecker</a> - to check that a ";
txt+="    user-entered value is valid</li>";
txt+="</ul>";

document.write(txt);
